## avifile audiodecoder

=== Makefile ===
# Generated automatically from Makefile.in by configure.
# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.


SHELL = /bin/sh

srcdir = .
top_srcdir = ../..
prefix = /usr/local
exec_prefix = ${prefix}

bindir = ${exec_prefix}/bin
sbindir = ${exec_prefix}/sbin
libexecdir = ${exec_prefix}/libexec
datadir = ${prefix}/share
sysconfdir = ${prefix}/etc
sharedstatedir = ${prefix}/com
localstatedir = ${prefix}/var
libdir = ${exec_prefix}/lib
infodir = ${prefix}/info
mandir = ${prefix}/man
includedir = ${prefix}/include
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/avifile
pkglibdir = $(libdir)/avifile
pkgincludedir = $(includedir)/avifile

top_builddir = ../..

ACLOCAL = aclocal
AUTOCONF = autoconf
AUTOMAKE = automake
AUTOHEADER = autoheader

INSTALL = /usr/bin/install -c
INSTALL_PROGRAM = ${INSTALL} $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_SCRIPT = ${INSTALL_PROGRAM}
transform = s,x,x,

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_alias = @build_alias@
build_triplet = @build@
host_alias = i686-pc-linux
host_triplet = i686-pc-linux-gnu
target_alias = i686-pc-linux
target_triplet = i686-pc-linux-gnu
AC3_CFLAGS = 
AC3_LDADD = 
AC3_LIBS = 
AC3_PATH = 
AC3_SOURCES = 
AVILIBDEPLIB = -lpthread -ldl 
AWK = @AWK@
CC = gcc
CPP = gcc -E
CXX = c++
DGA_LDADD = -lXxf86dga
GLINC = @GLINC@
GLLIB = @GLLIB@
GMSGFMT = @GMSGFMT@
IDL = @IDL@
INSTALL = /usr/bin/install -c
KDE_EXTRA_RPATH = @KDE_EXTRA_RPATH@
KDE_INCLUDES = @KDE_INCLUDES@
KDE_LDFLAGS = @KDE_LDFLAGS@
KDE_RPATH = @KDE_RPATH@
LD = /usr/bin/ld
LIBCOMPAT = @LIBCOMPAT@
LIBCRYPT = @LIBCRYPT@
LIBDL = @LIBDL@
LIBJPEG = @LIBJPEG@
LIBMICO = @LIBMICO@
LIBOBJS = 
LIBPNG = @LIBPNG@
LIBPTHREAD = @LIBPTHREAD@
LIBPYTHON = @LIBPYTHON@
LIBQIMGIO = @LIBQIMGIO@
LIBSOCKET = @LIBSOCKET@
LIBTIFF = @LIBTIFF@
LIBTOOL = $(SHELL) $(top_builddir)/libtool --silent
LIBUCB = @LIBUCB@
LIBUTIL = @LIBUTIL@
LIBXDMCP = @LIBXDMCP@
LIBZ = @LIBZ@
LIB_KDECORE = @LIB_KDECORE@
LIB_KDEUI = @LIB_KDEUI@
LIB_KFILE = @LIB_KFILE@
LIB_KFM = @LIB_KFM@
LIB_KHTML = @LIB_KHTML@
LIB_KHTMLW = @LIB_KHTMLW@
LIB_KIMGIO = @LIB_KIMGIO@
LIB_LIBS = @LIB_LIBS@
LIB_QT = @LIB_QT@
LIB_X11 = @LIB_X11@
LN_S = ln -s
MAKEINFO = makeinfo
MICO_INCLUDES = @MICO_INCLUDES@
MICO_LDFLAGS = @MICO_LDFLAGS@
MOC = /usr/bin/moc
MSGFMT = @MSGFMT@
NM = /usr/bin/nm -B
PACKAGE = avifile
PAMINC = @PAMINC@
PAMLIBPATHS = @PAMLIBPATHS@
PAMLIBS = @PAMLIBS@
PASSWDLIB = @PASSWDLIB@
PYTHONINC = @PYTHONINC@
PYTHONLIB = @PYTHONLIB@
QT_INCLUDES = -I/usr/include/qt
QT_LDFLAGS = -L/usr/lib
QT_NAME = -lqt
RANLIB = ranlib
SDL_CFLAGS = 
SDL_CONFIG = /usr/local/bin/sdl-config
SDL_LIBS = 
UIC = /usr/bin/uic
USE_NLS = @USE_NLS@
USE_QT = 1
USE_QTRECOMP = 1
USE_VIDCAP = 1
VERSION = 0.53
VM_LDADD = -lXxf86vm
WIN32_PATH = /usr/lib/win32
XBINDIR = @XBINDIR@
XGETTEXT = @XGETTEXT@
XMMS_CFLAGS = @XMMS_CFLAGS@
XMMS_CONFIG = @XMMS_CONFIG@
XMMS_DATA_DIR = @XMMS_DATA_DIR@
XMMS_EFFECT_PLUGIN_DIR = @XMMS_EFFECT_PLUGIN_DIR@
XMMS_GENERAL_PLUGIN_DIR = @XMMS_GENERAL_PLUGIN_DIR@
XMMS_INPUT_PLUGIN_DIR = @XMMS_INPUT_PLUGIN_DIR@
XMMS_LIBS = @XMMS_LIBS@
XMMS_OUTPUT_PLUGIN_DIR = @XMMS_OUTPUT_PLUGIN_DIR@
XMMS_PLUGIN_DIR = @XMMS_PLUGIN_DIR@
XMMS_VERSION = @XMMS_VERSION@
XMMS_VISUALIZATION_PLUGIN_DIR = @XMMS_VISUALIZATION_PLUGIN_DIR@
XMPS_CFLAGS = @XMPS_CFLAGS@
XMPS_CONFIG = @XMPS_CONFIG@
XMPS_DATA_DIR = @XMPS_DATA_DIR@
XMPS_EFFECT_PLUGIN_DIR = @XMPS_EFFECT_PLUGIN_DIR@
XMPS_GENERAL_PLUGIN_DIR = @XMPS_GENERAL_PLUGIN_DIR@
XMPS_INPUT_PLUGIN_DIR = @XMPS_INPUT_PLUGIN_DIR@
XMPS_LIBS = @XMPS_LIBS@
XMPS_OUTPUT_PLUGIN_DIR = @XMPS_OUTPUT_PLUGIN_DIR@
XMPS_PLUGIN_DIR = @XMPS_PLUGIN_DIR@
XMPS_VERSION = @XMPS_VERSION@
XMPS_VISUALIZATION_PLUGIN_DIR = @XMPS_VISUALIZATION_PLUGIN_DIR@
XPMINC = @XPMINC@
XPMLIB = @XPMLIB@
X_EXTRA_LIBS = @X_EXTRA_LIBS@
X_INCLUDES = -I/usr/X11R6/include
X_LDFLAGS = -L/usr/X11R6/lib
X_SERVER = @X_SERVER@
ac_xdmdir = @ac_xdmdir@
all_includes = @all_includes@
all_libraries = @all_libraries@
install_root = @install_root@
kde_appsdir = @kde_appsdir@
kde_bindir = @kde_bindir@
kde_cgidir = @kde_cgidir@
kde_confdir = @kde_confdir@
kde_datadir = @kde_datadir@
kde_htmldir = @kde_htmldir@
kde_icondir = @kde_icondir@
kde_includes = @kde_includes@
kde_libraries = @kde_libraries@
kde_locale = @kde_locale@
kde_mimedir = @kde_mimedir@
kde_minidir = @kde_minidir@
kde_partsdir = @kde_partsdir@
kde_sounddir = @kde_sounddir@
kde_toolbardir = @kde_toolbardir@
kde_wallpaperdir = @kde_wallpaperdir@
qt_includes = /usr/include/qt
qt_libraries = /usr/lib
x_includes = /usr/X11R6/include
x_libraries = /usr/X11R6/lib
xdmconfigsubdir = @xdmconfigsubdir@

noinst_PROGRAMS = decoder
decoder_SOURCES = decoder.cpp audio.cpp
decoder_LDADD = ../../lib/libaviplay.la
CXXFLAGS = -I../../include -march=i586
LIBS = -lpthread -ldl 
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = ../../include/config.h
CONFIG_CLEAN_FILES = 
PROGRAMS =  $(noinst_PROGRAMS)


DEFS = -DHAVE_CONFIG_H -I. -I$(srcdir) -I../../include
CPPFLAGS = -g  -march=i586 -I/usr/X11R6/include -I/usr/local/include -I/usr/local/include/SDL -D_REENTRANT -w
LDFLAGS =  -L/usr/X11R6/lib -L/usr/lib
decoder_OBJECTS =  decoder.o audio.o
decoder_DEPENDENCIES =  ../../lib/libaviplay.la
decoder_LDFLAGS = 
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
LTCXXCOMPILE = $(LIBTOOL) --mode=compile $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(LIBTOOL) --mode=link $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/audio.P .deps/decoder.P
SOURCES = $(decoder_SOURCES)
OBJECTS = $(decoder_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cpp .lo .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --foreign samples/decoder/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstPROGRAMS:

clean-noinstPROGRAMS:
	-test -z "$(noinst_PROGRAMS)" || rm -f $(noinst_PROGRAMS)

distclean-noinstPROGRAMS:

maintainer-clean-noinstPROGRAMS:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

.s.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

.S.lo:
	$(LIBTOOL) --mode=compile $(COMPILE) -c $<

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs

distclean-libtool:

maintainer-clean-libtool:

decoder: $(decoder_OBJECTS) $(decoder_DEPENDENCIES)
	@rm -f decoder
	$(CXXLINK) $(decoder_LDFLAGS) $(decoder_OBJECTS) $(decoder_LDADD) $(LIBS)
.cpp.o:
	$(CXXCOMPILE) -c $<
.cpp.lo:
	$(LTCXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = samples/decoder

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --foreign samples/decoder/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.cpp
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.cpp
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(PROGRAMS)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstPROGRAMS mostlyclean-compile \
		mostlyclean-libtool mostlyclean-tags mostlyclean-depend \
		mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstPROGRAMS clean-compile clean-libtool clean-tags \
		clean-depend clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstPROGRAMS distclean-compile \
		distclean-libtool distclean-tags distclean-depend \
		distclean-generic clean-am
	-rm -f libtool

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstPROGRAMS \
		maintainer-clean-compile maintainer-clean-libtool \
		maintainer-clean-tags maintainer-clean-depend \
		maintainer-clean-generic distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstPROGRAMS distclean-noinstPROGRAMS \
clean-noinstPROGRAMS maintainer-clean-noinstPROGRAMS \
mostlyclean-compile distclean-compile clean-compile \

## avifile 0.7.38.20030710-1.1

=== debian/changelog ===
avifile (1:0.7.38.20030710-1.1) unstable; urgency=low

  * Non-maintainer upload (old RC bug).
  * debian/control:
    + Removed g++ from the build dependencies (build essential).
    + Removed deprecated conditional build dependencies (Closes: #245653).
    + Uncapitalised short descriptions.
    + Mention libavifile in the plugins' short descriptions.
    + Set the debhelper build dependency to (>= 2.0).
  * debian/avifile-utils.menu:
    + Quoted strings where appropriate.
  * autogen.sh:
    + Specifically call aclocal-1.4 and automake-1.4 because of
      incompatibilities with newer versions.
  * lib/video/sub_ft.cpp:
    + Fixed compilation with recent FreeType versions (Closes: #228072).
  * plugins/libwin32/loader/ldt_keeper.c:
    + Applied patch from Daniel Schepler which fixes another build issue.

 -- Sam Hocevar (Debian packages) <sam+deb@zoy.org>  Tue,  1 Jun 2004 04:15:30 +0200

avifile (1:0.7.38.20030710-1) unstable; urgency=low
  * closing report for xvid as its already part of debian (Closes: 191459)
  * it's been most probably fixed with VCR itself - next time this bug
    belongs to vcr package - and it's not problem of avifile package
    to keep vcr uptodate - moreover it already provides package with same
    usability (Closes: 186313)
  * modified Description info slightly (Closes: 190710)
  * surely I know CVS compiles with gcc-3.3 - I'm the developer :)
    (Closes: 196980)
  * unless provided with a sample of such problematic movie I can't
    see such problem with current version. (Closes: 180327)
  * bashism has been removed from Makefiles. (Closes: 186716)
  * finaly released new version. (Closes: 189469)
  * library renamed to use -0.7 (are you know happy now :)? (Closes: 145860)
  * fixed some documentation files (Closes: 191462)
    empty manpage template has been deprecated unfortunaly,
    missing pages will be written when enough time will be found

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 10 Jul 2003 13:40:44 +0200

avifile (0.7.36.20030401-1) unstable; urgency=low
  * reduced amount of debug messages
  * support for timertables in Avicap by Alexander Rawass
  * fixed bashism in vidix Makefile.am (Closes: 186716)

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 01 Apr 2003 13:40:44 +0200

avifile (0.7.33.20030314-1) unstable; urgency=low
  * better usage of shared libraries (smaller vidix part)

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 14 Mar 2003 13:40:44 +0200

avifile (0.7.32.20030219-1) unstable; urgency=low
  * again fixed some stupid bugs with ffmpeg decompression
  * recompiled with new Qt (Closes: 179723)
  * aviplay is compiled with -fPIC - non-PIC part
    were not discovered inside current release (Closes: 176994)
  * Qt dependencies are somewhat wrong with latest Qt packages
    (Closes: 179875, 180506)
  * added manpages instead of undocumented (but there is not big
    difference)
  * accepted c102 modification by Andreas Metzler.

 -- Zdenek Kabelac <kabi@debian.org>  Wed, 19 Feb 2003 13:40:44 +0200

avifile (0.7.29.20030204-1) unstable; urgency=low
  * oops fixed somewhat fatal bug 
    the lame plugin went in because plugin name change
    added configure options so it will not happen again this way
  * aviplay is compiled with fPIC - the only problem
    is that some parts aren't easily compilable
    with PIC - also it makes the code slower (Closes: 169474)

 -- Zdenek Kabelac <kabi@debian.org>  Tue, 04 Feb 2003 23:40:44 +0200

avifile (0.7.28.20030129-1) unstable; urgency=low
  * xvid's been already moved to contrib (Closes: 145024)
  * it's playing some mpegs (though so far not very
    comfortable) (Closes: 100809)
  * linked libavqt with libaviplay (Closes: 176761)
  * new version, fixed Replaces (Closes: 178390, 178861, 168801, 165243)
  * subtitles are using special option -sub
    (updated manpage) (Closes: 178626)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 29 Jan 2003 23:40:44 +0200

avifile (0.7.27.20030122-1) unstable; urgency=low
  * ok long time has passed from the last update - meanwhile a lot
    of code has been made - especially the ffmpeg has a lot of
    improvements.
  * no user has reported such problem (Closes: 160461)
    maybe user has some bad local configuration/options
  * ok xvid/win32 plugins are now in contrib (though I still disagree
    with this - but when other developer has made somewhat simple NMU
    let's leave them there for now (Closes: 143356)
  * divx plugin also moved to separate package which goes
    into contrib and requires separate instalation of divx4linux.
    (Closes: 167406)
  * fixed some compilation options (Closes: 132994)
    for building use debian/builddeb  - configure will detect
    configure options best for given platform.
  * hopefully icon location is now fixed (Closes: 167742)
    (it looks like some bug for an old version of avifile)
  * compiled with incorect flags by NMU (Closes: 169134, 169701)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 22 Jan 2003 14:40:44 +0200

avifile (0.7.15.20020816-1.1) unstable; urgency=low
  * NMU
  * move avifile-win32-plugin and avifile-xvid-plugin into contrib
    (closes: #145024).

 -- Robert Bihlmeyer <robbe@debian.org>  Sun, 27 Oct 2002 21:40:44 +0100

avifile (0.7.15.20020816-1) unstable; urgency=low
  * fixing some memory leaks
  * better MP3 VBR support

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 16 Aug 2002 14:00:14 +0100

avifile (0.7.14.20020802-1) unstable; urgency=low
  * heavily updated networking support for asf streaming servers
  * this cvs snapshot already contains fix for (Closes: 154745)

 -- Zdenek Kabelac <kabi@debian.org>  Fri, 2 Aug 2002 14:00:14 +0100

avifile (0.7.12.20020719-1) unstable; urgency=low
  * many many many (really) fixes again - completely redesigned some internal
    library parts (and yet it's just half of the work)
  * fixed support for mjpeg/vp31
  * slightly better avirecompress
  * minimalized usage of exception (Closes: 119633, 120828)


=== debian/control ===
Source: avifile
Section: graphics
Priority: optional
Maintainer: Zdenek Kabelac <kabi@debian.org>
Standards-Version: 3.5.8
Build-Depends: debhelper (>= 2.0), libqt3-mt-dev (>= 3:3.1.1-2), libsdl1.2-dev, libaudiofile-dev, libjpeg62-dev, libvorbis-dev, libogg-dev, libmad0-dev, autoconf (>= 2.13-1), automake1.4 , libtool, gettext, patch, netpbm | pnmtopng

Package: libavifile-0.7c102
Architecture: any
Section: libs
Suggests: avifile-player, avifile-utils, avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin, avifile-win32-plugin, avifile-xvid-plugin, avifile-divx-plugin
Depends: ${shlibs:Depends}
Replaces: libavifile0.7, libavifile0.7c102
Conflicts: libavifile0.7, libavifile0.7c102
Description: shared libraries for AVI read/writing
 Library that allows programs to read and write compressed
 AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
 (De)Compression is performed with various audio/video plugins
 (Win32, FFMpeg, MAD, Vorbis, ...).
 Formats like mpeg, mov are partly supported.
 For more info about usage of Win32, Lame and OpenDivX plugin
 see README.debian.

Package: libavifile-0.7-dev
Architecture: any
Section: devel
Depends: libavifile-0.7c102 (= ${Source-Version})
Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev
Conflicts: libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
Description: development header files for libavifile
 Contains the symlinks, headers and object files needed to compile
 and link programs which use aviplay library.

Package: avifile-mad-plugin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: MAD - MPEG audio plugin for libavifile
 Plugin for decompression of MPEG-1 Layer I/II/III audio streams.
 This mp3 decoder is known to give most precise results.

Package: avifile-mjpeg-plugin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Description: MJPEG video plugin for libavifile
 Plugin for playing/encoding MJPEG video stream - this implementation
 is rather slower, usage of ffmpeg or win32 libraries is better 
 choice here. Basicaly it only serves as a demo plugin.
 In general you do not need this plugin.

Package: avifile-vorbis-plugin
Architecture: any
Section: libs
Depends: ${shlibs:Depends}
Replaces: libavifile0.7 (<< 0.7.26.20030121-1)
Description: Vorbis audio plugin for libavifile
 Plugin for decompression of Vorbis audio streams.

Package: avifile-win32-plugin
Architecture: any
Section: contrib/libs
Depends: ${shlibs:Depends}
Description: Win32 audio/video plugin for libavifile
 Plugin for using Win32 DLL libraries (codecs) in avifile.
 Default location for them is /usr/lib/win32.
 NOTICE:
   Win32 codecs have to be downloaded separately.
   They are NOT part of this package.
   See documentation for more details.

Package: avifile-xvid-plugin
Architecture: any
Section: contrib/libs
Depends: ${shlibs:Depends}
Description: XviD video encoding plugin for libavifile
 Plugin for encoding DivX4 video.
 NOTICE:
   This plugin requires separate installation of libxvidecore library
   which is not a part of this package nor Debian itself.
   See documentation for more details.
   In general you do not need this plugin.

Package: avifile-divx-plugin
Architecture: any
Section: contrib/libs
Depends: ${shlibs:Depends}
Replaces: libavifile0.7 (<< 0.7.27.20030122-1)
Description: Divx4Linux video encoding plugin for libavifile
 Plugin for encoding DivX4 video.
 NOTICE:
   This plugin requires separate installation of libdivxdecore
   and libdivxencore library which is not a part of this package 
   nor Debian itself. See documentation for more details who
   to obtain this library. 
   In general you do not need this plugin.

Package: avifile-player
Architecture: any
Priority: extra
Section: graphics
Suggests: avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin, avifile-win32-plugin, avifile-xvid-plugin
Depends: ${shlibs:Depends}
Description: Video player for AVI/ASF/WMF files
 Player for various AVI, ASF, WFM (with streaming support) files.
 Separate local instalation of Windows DLL codecs might be needed
 for the optimal usage of this player.
 See README.debian for more information.

Package: avifile-utils
Architecture: any
Priority: extra
Section: graphics
Depends: ${shlibs:Depends}
Conflicts: avifile-samples
Replaces: avifile-samples
Description: utility programs using the avifile library
 Qt-based AVI TV capturing, AVI recompression, benchmarking,
 joining/cutting AVI files. These programs might have more bugs
 as they are not as extensively developed as the player.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

#
# This version is for a multibinary package. It also allows you to build any
# of the binary packages independantly, via binary-<package> targets.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This is the debhelper compatability version to use.
export DH_COMPAT=2

# This has to be exported to make some magic below work.
export DH_OPTIONS

#
# ok looks like this script is becoming a little bit overcomplicated
# however if anyone know how to simplify this let me know: kabi@debian.org
#

INST = install -p
package = avifile
version = -0.7
aviversion = $(package)$(version)
libraries = lib$(aviversion)c102
#DH2 using normal name
#tmp
devel = lib$(aviversion)-dev
player = $(package)-player
utils = $(package)-utils
madplugin = $(package)-mad-plugin
mjpegplugin = $(package)-mjpeg-plugin
vorbisplugin = $(package)-vorbis-plugin
win32plugin = $(package)-win32-plugin
xvidplugin = $(package)-xvid-plugin
divxplugin = $(package)-divx-plugin

allplugins = $(madplugin) $(mjpegplugin) $(vorbisplugin) $(win32plugin) $(xvidplugin) $(divxplugin)

installprefix = $(PWD)/debian/$(libraries)

allpackages= debian/$(player) debian/$(utils)

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
        CFLAGS += -g
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
        INSTALL_PROGRAM += -s
endif

build: build-stamp
build-stamp: configure-stamp
	@dh_testdir
	$(MAKE)
	touch build-stamp

cleanB:
	@dh_testdir
	@dh_clean
#	rm -rf core `find debian/* -type d ! -name CVS`

clean: cleanB
	@dh_testdir
	@if [ -f Makefile ]; then $(MAKE) maintainer-clean ; fi
# remove various files which should not be in tar.gz
	@rm -rf core `find . -name "*~" -o -name Makefile.in -o -regex '.*\.bbg?' -o -name '*.gcov' -o -name '.#*' -o -name '*.out' `
	@rm -rf debian/docs .snprj build-stamp configure-stamp

configure: configure-stamp
configure-stamp:
	dh_testdir
	@echo "---=== Debian package is build with Lame support ===---"
	@echo "           library is being linked at runtime"
	@echo "for the full usage user has to install mp3lame library"
	./autogen.sh --clean
#        --linkac

# !!BUILTIN LAME ENCODER IS NOT COMPILED FOR DEBIAN PACKAGE!!
# Note: we use wrapping plugin for mp3lame library instead - so better
# way is to install latest version of lame library from CVS instead
#
# remove --disable-lame to get this compiled

#        rm config.cache
#	CFLAGS="-g -O2 -march=i586" CXXFLAGS="-g -O2 -march=i586"
# if you wish to build packege without AC3 support: --disable-ffmpeg-ac3
	./configure --prefix=/usr --disable-lame --enable-lame-bin --enable-quiet --enable-release --disable-dependency-tracking --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
	touch configure-stamp


install: build
	dh_testdir
	dh_testroot
	@echo ":: Preparing packages"
#	@find doc -type f | egrep -v "CVS| |Makefile|cvsignore|\.1"  >debian/docs
#	@echo "plugins/libac3pass/README.ac3pass" >>debian/docs
	dh_installdirs

# this has been all tricky way to fix some problems with makefile - no longer needed
#	@make DESTDIR=$(prefix) datadir=debian/$(player)/usr/share install
	@make DESTDIR=$(installprefix) pkgdocdir=/usr/share/doc/$(libraries) install

# ok some 'smart people' invented ugly 32color palette and there is no easy way
# to convert our icon to this format - so handmade work was necessary
#	@if [ -x /usr/bin/pngtopnm -a -x /usr/bin/ppmtoxpm ] ; then pngtopnm $(installprefix)/usr/share/$(aviversion)/test.png | ppmtoxpm >$(installprefix)/usr/share/$(aviversion)/test.xpm ; fi
	@cp bin/test.xpm $(installprefix)/usr/share/$(aviversion)/test.xpm
	@$(INST) -s $(installprefix)/usr/bin/aviplay debian/$(player)/usr/bin/

	@if [ -x $(installprefix)/usr/bin/kv4lsetup ] ; then $(INST) -s -m 4755 $(installprefix)/usr/bin/kv4lsetup debian/$(utils)/usr/bin/ ; fi
	@for i in avibench avirecompress avicap avicat avimake avirec avitype ; do \
	   if [ -x $(installprefix)/usr/bin/$$i ] ; then $(INST) -s $(installprefix)/usr/bin/$$i debian/$(utils)/usr/bin/ ; fi ; done

	@$(INST) $(installprefix)/usr/bin/avifile-config debian/$(devel)/usr/bin/
	@mv $(installprefix)/usr/include debian/$(devel)/usr

	@find $(installprefix)/usr/lib/$(aviversion)/ -name '*.la' | xargs rm

# libqavm will be a part of aviplay package for now
# - it's API is not yet stable
	@rm $(installprefix)/usr/lib/libqavm*.so
	@rm $(installprefix)/usr/lib/libqavm*.la
	@mv $(installprefix)/usr/lib/libqavm* debian/$(player)/usr/lib
	@mv $(installprefix)/usr/man/man1/aviplay* debian/$(player)/usr/share/man/man1
	@mv $(installprefix)/usr/share/$(aviversion) debian/$(player)/usr/share/

	@mv $(installprefix)/usr/man/man1/avifile-config* debian/$(devel)/usr/share/man/man1
	@mv $(installprefix)/usr/lib/*.so debian/$(devel)/usr/lib
	@mv $(installprefix)/usr/lib/*.la debian/$(devel)/usr/lib
	for i in $(allplugins) ; do \
		mkdir -p debian/$$i/usr/lib/$(aviversion) ; done
	@mv $(installprefix)/usr/lib/$(aviversion)/mad* debian/$(madplugin)/usr/lib/$(aviversion)/
	if test -e $(installprefix)/usr/lib/$(aviversion)/mjpeg.so ; then mv $(installprefix)/usr/lib/$(aviversion)/mjpeg* debian/$(mjpegplugin)/usr/lib/$(aviversion)/ ; fi
	if test -e $(installprefix)/usr/lib/$(aviversion)/vorbis_audio.so ; then mv $(installprefix)/usr/lib/$(aviversion)/vorbis* debian/$(vorbisplugin)/usr/lib/$(aviversion)/ ; fi
	if test -e $(installprefix)/usr/lib/$(aviversion)/win32.so ; then mv $(installprefix)/usr/lib/$(aviversion)/win32* debian/$(win32plugin)/usr/lib/$(aviversion)/ ; fi
	if test -e $(installprefix)/usr/lib/$(aviversion)/xvid.so ; then mv $(installprefix)/usr/lib/$(aviversion)/xvid* debian/$(xvidplugin)/usr/lib/$(aviversion)/ ; fi
	if test -e $(installprefix)/usr/lib/$(aviversion)/divx4.so ; then mv $(installprefix)/usr/lib/$(aviversion)/divx4* debian/$(divxplugin)/usr/lib/$(aviversion)/ ; fi

	@mv $(installprefix)/usr/man/man1/* debian/$(utils)/usr/share/man/man1

# clean some files from library package
	@rm -rf debian/$(libraries)/usr/bin debian/$(libraries)/usr/man
	@rm -f debian/$(libraries)/usr/lib/*.so
	@rm -rf core `find debian/$(libraries) -name "*.a"`

	mkdir -p debian/$(libraries)/usr/share/lintian/overrides
# construct lintian's override file for libavifile
# (yep it's never ending fight...)
#	@for i in `find debian/$(libraries)/usr/lib/ -type f -name *.so* -printf '%f '` ; do \
#		libn=usr/lib/$(aviversion)/$$i ;\
#		echo "installing override for: $$libn" ;\
#		echo -e "$(libraries): shlib-with-non-pic-code $$libn\n$(libraries): no-shlibs-control-file $$libn" >>debian/$(libraries)/usr/share/lintian/overrides/$(libraries) ;\
#	done
	@for i in $(libraries) $(utils); do \
		mkdir -p debian/$$i/usr/share/lintian/overrides ;\
		cp -a debian/$$i.lintian debian/$$i/usr/share/lintian/overrides/$$i ; \
	done
#	@for i in $(allplugins); do \
#		mkdir -p debian/$$i/usr/share/lintian/overrides ;\
#		n=`echo $$i | sed -e 's/avifile-\(.*\)-plugin/\1/'` ;\
#		libn=usr/lib/$(aviversion)/lib$$n.so ;\
#		echo -e "$$i: shlib-with-non-pic-code $$libn\n$$i: no-shlibs-control-file $$libn" >debian/$$i/usr/share/lintian/overrides/$$i ; \
#	done

binary-indep:
# There are no architecture-independent files to be uploaded
# generated by this package.  If there were any they would be
# made here.

binary-arch: cleanB build install
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installchangelogs -k ChangeLog
	dh_installexamples

# this way we are saving few inodes and making it more user friendly
# as doc is concentrated in one directory
# I don't like the idea to use .link file - this is much simplier
	@for i in $(player) $(utils) $(devel) $(allplugins) ; do \

## avifile 0.7.38.20030710-1.2

=== debian/changelog ===
avifile (1:0.7.38.20030710-1.2) unstable; urgency=low

  * NMU
  * Fix avifile.pc to return the right include path (Closes: #205203)
  * Add missin dependencies in the -dev package. libxft-dev libxrender-dev (Closes: #202992)
  * Apply a patch to fix build under amd64 (Closes: #253504)
  * Move the pkgconfig file to the -dev package nad add replaces.

 -- Christian Marillat <marillat@debian.org>  Thu,  4 Nov 2004 16:23:45 +0100

=== debian/control ===
--- 
+++ 
@@ -24,8 +24,8 @@
 Package: libavifile-0.7-dev
 Architecture: any
 Section: devel
-Depends: libavifile-0.7c102 (= ${Source-Version})
-Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev
+Depends: libavifile-0.7c102 (= ${Source-Version}), libxft-dev, libxrender-dev
+Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev, libavifile-0.7c102 (<= 1:0.7.38.20030710-1.2)
 Conflicts: libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
 Description: development header files for libavifile
  Contains the symlinks, headers and object files needed to compile

=== debian/rules ===
--- 
+++ 
@@ -93,9 +93,11 @@
 #        rm config.cache
 #	CFLAGS="-g -O2 -march=i586" CXXFLAGS="-g -O2 -march=i586"
 # if you wish to build packege without AC3 support: --disable-ffmpeg-ac3
-	./configure --prefix=/usr --disable-lame --enable-lame-bin --enable-quiet --enable-release --disable-dependency-tracking --host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
+	./configure --prefix=/usr --disable-lame --enable-lame-bin \
+	--enable-quiet --enable-release --disable-dependency-tracking \
+	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
+
 	touch configure-stamp
-
 
 install: build
 	dh_testdir
@@ -121,6 +123,7 @@
 
 	@$(INST) $(installprefix)/usr/bin/avifile-config debian/$(devel)/usr/bin/
 	@mv $(installprefix)/usr/include debian/$(devel)/usr
+	@mv $(installprefix)/usr/lib/pkgconfig debian/$(devel)/usr/lib
 
 	@find $(installprefix)/usr/lib/$(aviversion)/ -name '*.la' | xargs rm
 
@@ -185,4 +188,3 @@
 # this way we are saving few inodes and making it more user friendly
 # as doc is concentrated in one directory
 # I don't like the idea to use .link file - this is much simplier
-	@for i in $(player) $(utils) $(devel) $(allplugins) ; do \

## avifile 0.7.43.20050224-1ubuntu6

=== debian/changelog ===
avifile (1:0.7.43.20050224-1ubuntu6) breezy; urgency=low

  * Fixed the conflicts...

 -- Sebastian Dröge <mail@slomosnail.de>  Thu, 25 Aug 2005 00:21:54 +0200

avifile (1:0.7.43.20050224-1ubuntu5) breezy; urgency=low

  * Rebuild for slang2 transition

 -- Sebastian Dröge <mail@slomosnail.de>  Wed, 24 Aug 2005 19:28:36 +0200

avifile (1:0.7.43.20050224-1ubuntu4) breezy; urgency=low

  * Rebuild for CXX Transition 

 -- Charles Majola <charles@ubuntu.com>  Tue, 31 May 2005 13:02:55 +0000

avifile (1:0.7.43.20050224-1ubuntu3) breezy; urgency=low

  * Make conflicts unconditional

 -- Charles Majola <charles@ubuntu.com>  Thu, 19 May 2005 13:49:02 +0000

avifile (1:0.7.43.20050224-1ubuntu2) breezy; urgency=low

  * CXX transition:
    - Renamed libavifile-0.7c102 to libavifile-0.7
  * Fixed build-deps: depend on new C++ ABI libraries  

 -- Charles Majola <charles@ubuntu.com>  Wed, 18 May 2005 13:05:35 +0000

avifile (1:0.7.43.20050224-1ubuntu1) breezy; urgency=low

  * Applied gcc-4.0 FTBFS patch from Andreas Jochens

 -- Charles Majola <charles@ubuntu.com>  Mon,  9 May 2005 15:54:47 +0200

avifile (1:0.7.43.20050224-1) unstable; urgency=low
  * updated to latest ffmpeg
  * fix packaging (Closes: 252982, 259417, 295486)
  * fixed xvid plugin (Closes: 225172)
    it's users responsibility to install this libxvidcore4 library
    as it is no a part of default debian project.
    this is just plugin which utilizies this library.
  * Xserver crashes are really Xserver crashes (Closes: 260808)
    I affraid you will have to bother the author of your XV driver
    directly - forwarding this bug to Xserver maintainer won't help you
    try to use Xorg server - should be doing fairly better job...
  * fixed the bug with ffmpeg pictures (Closes: 274730)
    of course some other bugs might appear elsewhere
  * fixed long time ago (Closes: 274591)
    there are no defaults and code compiles fine with gcc-4.0
  * removed COPYING file - the copyright file already proprer links
    for licencies (Closes: 290069)
  * only decoding for new API is supported at this moment
    (Closes: 225081)
  * fixed link to marillat site (Closes: 264322)
  * fixed this changlog file so it contains also previous NMU
  * package should be compilable by any automake tool found in debian
  * partialy fixed info about some packages (Closes: 209432)
    but more will come later ;)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 24 Feb 2005 10:49:49 +0100

avifile (1:0.7.42.20050215-1) unstable; urgency=low
  * fix libmad compilation for X86_64 (Closes: 253504)
  * quoted AM_PATH_AVIFILE (Closes: 267807)
  * unless I'm proven with buggy compiler output I'm closing this bug report 
    as it compiles fine with current gcc-4.0 (Closes: 294473, 285677, 264543)
  * compiles fine with freetype2 (Closes: 228072)
  * removed compilation with qt2 (Closes: 245653)
  * name change fixed (Closes: 202627)

 -- Zdenek Kabelac <kabi@debian.org>  Thu, 15 Feb 2005 13:40:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,15 +3,15 @@
 Priority: optional
 Maintainer: Zdenek Kabelac <kabi@debian.org>
 Standards-Version: 3.5.8
-Build-Depends: debhelper (>= 2.0), libqt3-mt-dev (>= 3:3.1.1-2), libsdl1.2-dev, libaudiofile-dev, libjpeg62-dev, libvorbis-dev, libogg-dev, libmad0-dev, autoconf (>= 2.13-1), automake1.4 , libtool, gettext, patch, netpbm | pnmtopng
+Build-Depends: debhelper (>= 2.0), libqt3-mt-dev (>= 3:3.3.3-7ubuntu4), libsdl1.2-dev | libsdl1.1-dev | libsdl1.0-dev , libaudiofile-dev, libjpeg62-dev, libvorbis-dev, libogg-dev, libmad0-dev, libxft-dev, autoconf (>= 2.13-1), automake (>= 1.4-1) | automake1.7 | automake1.8 | automake1.4 , libtool, gettext, patch, netpbm | pnmtopng
 
-Package: libavifile-0.7c102
+Package: libavifile-0.7
 Architecture: any
 Section: libs
 Suggests: avifile-player, avifile-utils, avifile-mad-plugin, avifile-mjpeg-plugin, avifile-vorbis-plugin, avifile-win32-plugin, avifile-xvid-plugin, avifile-divx-plugin
 Depends: ${shlibs:Depends}
-Replaces: libavifile0.7, libavifile0.7c102
-Conflicts: libavifile0.7, libavifile0.7c102
+Replaces: libavifile0.7, libavifile0.7c102, libavifile-0.7c102
+Conflicts: libavifile0.7, libavifile0.7c102, libavifile-0.7c102
 Description: shared libraries for AVI read/writing
  Library that allows programs to read and write compressed
  AVI files (Indeo Video, DivX :-), etc.) under x86 Linux.
@@ -24,9 +24,9 @@
 Package: libavifile-0.7-dev
 Architecture: any
 Section: devel
-Depends: libavifile-0.7c102 (= ${Source-Version}), libxft-dev, libxrender-dev
-Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev, libavifile-0.7c102 (<= 1:0.7.38.20030710-1.2)
-Conflicts: libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
+Depends: libavifile-0.7 (= ${Source-Version}), libxft-dev, libxrender-dev
+Replaces: libaviplay, libavifile-dev, libavifile0.6-dev, libavifile0.7-dev
+Conflicts: libavifile-0.7c102 (<= 1:0.7.42.20050215-1), libavifile0.7, libavifile-dev, libavifile0.6, libavifile-0.6-dev, libavifile0.7-dev
 Description: development header files for libavifile
  Contains the symlinks, headers and object files needed to compile
  and link programs which use aviplay library.
@@ -55,18 +55,27 @@
 Depends: ${shlibs:Depends}
 Replaces: libavifile0.7 (<< 0.7.26.20030121-1)
 Description: Vorbis audio plugin for libavifile
- Plugin for decompression of Vorbis audio streams.
+ This package provides a plugin for the avifile library to decompress 
+ audio streams in Vorbis, which is a fully open, non-proprietary, 
+ patent-and-royalty-free, general-purpose compressed audio format.
+ .
+ You might want to install this package if you are using the avifile
+ video player and want to watch videos which provide audio using this
+ format.
+ .
+ Homepage: http://avifile.sourceforge.net
 
 Package: avifile-win32-plugin
 Architecture: any
 Section: contrib/libs
 Depends: ${shlibs:Depends}
 Description: Win32 audio/video plugin for libavifile
- Plugin for using Win32 DLL libraries (codecs) in avifile.
- Default location for them is /usr/lib/win32.
+ This package provides a plugin for the avifile library to compress
+ and decompress audio video streams with the help of Win32 DLL libraries
+ (codecs) Default location for them is /usr/lib/win32.
  NOTICE:
    Win32 codecs have to be downloaded separately.
-   They are NOT part of this package.
+   They are NOT part of this package!!!
    See documentation for more details.
 
 Package: avifile-xvid-plugin
@@ -76,8 +85,8 @@
 Description: XviD video encoding plugin for libavifile
  Plugin for encoding DivX4 video.
  NOTICE:
-   This plugin requires separate installation of libxvidecore library
-   which is not a part of this package nor Debian itself.
+   This plugin requires separate installation of libxvidcore 1.0 library
+   which is not a part of this package nor official Debian itself.
    See documentation for more details.
    In general you do not need this plugin.
 
@@ -86,7 +95,8 @@
 Section: contrib/libs
 Depends: ${shlibs:Depends}
 Replaces: libavifile0.7 (<< 0.7.27.20030122-1)
-Description: Divx4Linux video encoding plugin for libavifile
+Conflicts: libavifile0.7 (<< 0.7.27.20030122-1)
+Description: Divx4Linux video encoding plugin
  Plugin for encoding DivX4 video.
  NOTICE:
    This plugin requires separate installation of libdivxdecore

=== debian/rules ===
--- 
+++ 
@@ -26,7 +26,7 @@
 package = avifile
 version = -0.7
 aviversion = $(package)$(version)
-libraries = lib$(aviversion)c102
+libraries = lib$(aviversion)
 #DH2 using normal name
 #tmp
 devel = lib$(aviversion)-dev
@@ -96,8 +96,8 @@
 	./configure --prefix=/usr --disable-lame --enable-lame-bin \
 	--enable-quiet --enable-release --disable-dependency-tracking \
 	--host=$(DEB_HOST_GNU_TYPE) --build=$(DEB_BUILD_GNU_TYPE)
+	touch configure-stamp
 
-	touch configure-stamp
 
 install: build
 	dh_testdir
@@ -110,6 +110,8 @@
 # this has been all tricky way to fix some problems with makefile - no longer needed
 #	@make DESTDIR=$(prefix) datadir=debian/$(player)/usr/share install
 	@make DESTDIR=$(installprefix) pkgdocdir=/usr/share/doc/$(libraries) install
+# remove COPYING file - using debian common licencies
+	@rm debian/$(libraries)/usr/share/doc/$(libraries)/COPYING
 
 # ok some 'smart people' invented ugly 32color palette and there is no easy way
 # to convert our icon to this format - so handmade work was necessary
@@ -141,10 +143,10 @@
 	for i in $(allplugins) ; do \
 		mkdir -p debian/$$i/usr/lib/$(aviversion) ; done
 	@mv $(installprefix)/usr/lib/$(aviversion)/mad* debian/$(madplugin)/usr/lib/$(aviversion)/
-	if test -e $(installprefix)/usr/lib/$(aviversion)/mjpeg.so ; then mv $(installprefix)/usr/lib/$(aviversion)/mjpeg* debian/$(mjpegplugin)/usr/lib/$(aviversion)/ ; fi
+	if test -e $(installprefix)/usr/lib/$(aviversion)/osmjpeg.so ; then mv $(installprefix)/usr/lib/$(aviversion)/osmjpeg* debian/$(mjpegplugin)/usr/lib/$(aviversion)/ ; fi
 	if test -e $(installprefix)/usr/lib/$(aviversion)/vorbis_audio.so ; then mv $(installprefix)/usr/lib/$(aviversion)/vorbis* debian/$(vorbisplugin)/usr/lib/$(aviversion)/ ; fi
 	if test -e $(installprefix)/usr/lib/$(aviversion)/win32.so ; then mv $(installprefix)/usr/lib/$(aviversion)/win32* debian/$(win32plugin)/usr/lib/$(aviversion)/ ; fi
-	if test -e $(installprefix)/usr/lib/$(aviversion)/xvid.so ; then mv $(installprefix)/usr/lib/$(aviversion)/xvid* debian/$(xvidplugin)/usr/lib/$(aviversion)/ ; fi
+	if test -e $(installprefix)/usr/lib/$(aviversion)/xvid4.so ; then mv $(installprefix)/usr/lib/$(aviversion)/xvid* debian/$(xvidplugin)/usr/lib/$(aviversion)/ ; fi
 	if test -e $(installprefix)/usr/lib/$(aviversion)/divx4.so ; then mv $(installprefix)/usr/lib/$(aviversion)/divx4* debian/$(divxplugin)/usr/lib/$(aviversion)/ ; fi
 
 	@mv $(installprefix)/usr/man/man1/* debian/$(utils)/usr/share/man/man1
@@ -186,5 +188,3 @@
 	dh_installexamples
 
 # this way we are saving few inodes and making it more user friendly
-# as doc is concentrated in one directory
-# I don't like the idea to use .link file - this is much simplier
